Bug 484321 - Review Request: perl-Lingua-StopWords - Stop words for several languages
Review Request: perl-Lingua-StopWords - Stop words for several languages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 484323
  Show dependency treegraph
 
Reported: 2009-02-05 20:19 EST by Ian Burrell
Modified: 2009-03-03 23:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-03 23:58:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2009-02-05 20:19:21 EST
Spec URL: http://znark.com/fedora/perl-Lingua-StopWords.spec
SRPM URL: http://znark.com/fedora/perl-Lingua-StopWords-0.09-1.fc10.src.rpm
Description: In keyword search, it is common practice to suppress a collection of
"stopwords": words such as "the", "and", "maybe", etc. which exist in in a
large number of documents and do not tell you anything important about any
document which contains them. This module provides such "stoplists" in
several languages.
Comment 1 Parag AN(पराग) 2009-02-06 00:17:37 EST
Add BR: perl(Test::More) as you can see build failed in make test 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1108448
Comment 2 Ian Burrell 2009-02-06 13:54:17 EST
Added BR perl(Test::More).

Spec URL: http://znark.com/fedora/perl-Lingua-StopWords.spec
SRPM URL: http://znark.com/fedora/perl-Lingua-StopWords-0.09-2.fc10.src.rpm
Comment 3 Parag AN(पराग) 2009-02-09 00:05:16 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1114202
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
47decfa5a040292ad7f5a5b9088baf0c  Lingua-StopWords-0.09.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave 
All tests successful.
Files=4, Tests=13,  1 wallclock secs ( 0.02 usr  0.00 sys +  0.11 cusr  0.02 csys =  0.15 CPU)
+ Package  perl-Lingua-StopWords-0.09-2.fc11 =>
Provides: perl(Lingua::StopWords) = 0.09 perl(Lingua::StopWords::DA) = 0.08 perl(Lingua::StopWords::DE) = 0.08 perl(Lingua::StopWords::EN) = 0.08 perl(Lingua::StopWords::ES) = 0.08 perl(Lingua::StopWords::FI) = 0.08 perl(Lingua::StopWords::FR) = 0.08 perl(Lingua::StopWords::HU) = 0.08 perl(Lingua::StopWords::IT) = 0.08 perl(Lingua::StopWords::NL) = 0.08 perl(Lingua::StopWords::NO) = 0.08 perl(Lingua::StopWords::PT) = 0.08 perl(Lingua::StopWords::RU) = 0.08 perl(Lingua::StopWords::SV) = 0.08

Requires: perl(Exporter) perl(strict) perl(warnings)

APPROVED.
Comment 4 Ian Burrell 2009-02-09 00:49:26 EST
New Package CVS Request
=======================
Package Name: perl-Lingua-StopWords
Short Description: Stop words for several languages
Owners: iburrell
Branches: F-9 F-10 EL-5
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-02-10 17:28:51 EST
cvs done.
Comment 6 Parag AN(पराग) 2009-03-03 23:58:52 EST
looks this package is already built for requested branches therefore closing this review now.

Note You need to log in before you can comment on or make changes to this bug.